DirectAdmin CP v1.50.0 - CS CSRF Web Vulnerability

2016-03-23
ID: 85025
CVE: None
Download vulnerable application: None
Document Title:
===============



References (Source):
====================
http://ehsansec.ir/advisories/directadmin-xsrf.txt
http://www.vulnerability-lab.com/get_content.php?id=1783

Release Date:
=============
2016-03-23


Vulnerability Laboratory ID (VL-ID):
====================================
1783


Common Vulnerability Scoring System:
====================================
3


Product & Service Introduction:
===============================
DirectAdmin is a graphical web-based web hosting control panel
designed to make administration of websites easier.
DirectAdmin is the easiest to use control panel, period. DirectAdmin
is programmed to be the fastest running control panel available.
DirectAdmin avoids downtime by automatically recovering from crashes.
We offer lightning-fast support by phone, e-mail, forum, and live
online chat. We offer flexible licensing options to suit every kind of
hosting company!

(Copy of the Vendor Homepage: http://www.directadmin.com/ )


Abstract Advisory Information:
==============================
An independent vulnerability laboratory researcher discovered a
client-side cross site request forgery web vulnerability in the
DirectAdmin CP v1.50.0 control panel.


Vulnerability Disclosure Timeline:
==================================
2015-03-21: Public Disclosure (Vulnerability Laboratory)


Discovery Status:
=================
Published


Affected Product(s):
====================
JBMC Software
Product: DirectAdmin - Control Panel (Web-Application) 1.50.0


Exploitation Technique:
=======================
Remote


Severity Level:
===============
Medium


Technical Details & Description:
================================
A cross site request forgery web vulnerability has been discovered in
the official DirectAdmin CP v1.50.0 control panel web-application.
The vulnerability allows remote attacker to prepare client-side
websites with malicious codes to execute internal application
functions
via non-expired user session credentials.

DirectAdmin suffers from cross site request forgery web vulnerability
that is located in the CMC_FILE_MANAGER module POST method request.
Remote attackers are able to prepare malicious websites that can
execute client-side application functions to add/edit via non-expired
session.
The attack vector of the issue is client-side and the request method
to inject is POST. The attacker preapres a malicious website wiht a
hidden
POST method request to execute in the CMD_FILE_MANAGER the edit/add
function with already defined perimeters.

The security risk of the client-side web vulnerability is estimated as
medium with a cvss (common vulnerability scoring system) count of 3.0.
Exploitation of the non-persistent web vulnerability requires no
privileged web application user account and low or medium user
interaction.
Successful exploitation of the vulnerability results in session
hijacking, non-persistent phishing, non-persistent external redirects,
non-persistent load of malicious script codes or non-persistent web
module context manipulation.

Request Method(s):
                                [+] POST

Vulnerable Module(s):
                                [+] CMD_FILE_MANAGER

Vulnerable Function(s):
                                [+] Edit


Proof of Concept (PoC):
=======================
The cross site request forgery vulnerability can be exploited by
remote attackers without privileged application user account and with
low or medium user interaction.
For security demonstration or to reproduce the vulnerability follow
the provided information and steps below to continue.


PoC: Create New File and Edit a file (CMD_FILE_MANAGER)
<form name=info action='https://address:port/CMD_FILE_MANAGER' method='POST'>
<input type="hidden" name=action value="edit">
<input type="hidden" name=path value="/index.php">
<input name="hidden" value="<? phpinfo ?>">
<input type="submit" value="save as">
<input type="hidden" name=filename value="/index.php">
</form>


Security Risk:
==============
The security risk of the client-side cross site request forgery web
vulnerability in the web-application is estimated as medium. (CVSS
3.0)


Credits & Authors:
==================
Ashiyane Digital Security Team , Ehsan Hosseini - (EhsanSec.ir) , Bl4Ck_Mohajem
1-4-2 (www02)